Bug 1062476 - User can attempt to upload an unspecified glossary file
User can attempt to upload an unspecified glossary file
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.8
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-06 20:53 EST by Damian Jansen
Modified: 2016-01-20 20:40 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.8.0-SNAPSHOT (git-server-3.6.2-569-g2bae087)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 20:40:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2014-02-06 20:53:05 EST
Description of problem:
The box for uploading glossary files does not stop the user from pressing Upload without specifying a file. This results in an error

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as admin, click Glossary in the menu bar
2. Click Upload, then click Upload in the dialog that shows

Actual results:
(i) Unsupported Glossary file:
/!\ Transaction failed 

Expected results:
Upload button should be greyed out

Additional info:
Comment 1 Ding-Yi Chen 2014-03-26 03:26:58 EDT
The severity is set as medium, as eventually the action is rejected, but should inform the user as suggested in description in the beginning.
Comment 2 Alex Eng 2015-07-16 19:42:09 EDT
Pull request:

https://github.com/zanata/zanata-server/pull/914
Comment 3 Damian Jansen 2015-07-19 19:37:08 EDT
Verified at d085bcaf18782be3fa4993e66e7a5aef4e0cccdf
Comment 4 Damian Jansen 2015-07-21 00:10:44 EDT
Verified merge at c31ffda6b364d2c97641d52852facffdcc69adf2

Note You need to log in before you can comment on or make changes to this bug.